GNU bug report logs - #16254
24.3.50; bzr error on emacs trunk using vc-print-log

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christoph <cschol2112@HIDDEN>; dated Wed, 25 Dec 2013 17:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 30 Dec 2013 19:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 14:03:57 2013
Received: from localhost ([127.0.0.1]:53070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vxi84-0005QX-BK
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 14:03:56 -0500
Received: from mail-lb0-f169.google.com ([209.85.217.169]:42124)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1Vxi81-0005QP-Vc
 for 16254 <at> debbugs.gnu.org; Mon, 30 Dec 2013 14:03:54 -0500
Received: by mail-lb0-f169.google.com with SMTP id u14so5868730lbd.0
 for <16254 <at> debbugs.gnu.org>; Mon, 30 Dec 2013 11:03:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=E8s3gnix3gnwOM2Mjm97Exz51X33TgFRlSn2abX380E=;
 b=KpV5mn5Sfawy8aiNC+JEqB1igyx8N1J7tQJWJSiiaJu2jl91u3aVhBN3HBWCXOef/Y
 03YVmdacRvlOm4NOEBVzr2LOhQfAQkhxycmuMbKvyzTrrNX7m817/7uOIJU4BAX9Q3WX
 fxXC3iDySSGivZeGvYaI1YeTejsPgTcl0HxuyKT0FT2foA5u7kZQkhw9pxhHqfAFo0rs
 AB/wIElpKvuhLRKEiQTJDunTry7PpAXtfp7U8e+Q00I0rkjvYK9tCAxnxZ22vnaU2tcr
 UihuZ9RKMhZFUO0ARUKTzNv//mRWReMFSmbLbuso/ubtsysQZjUr9B0XNgZq/veXh3gZ
 BAXQ==
MIME-Version: 1.0
X-Received: by 10.112.144.69 with SMTP id sk5mr12019423lbb.44.1388430232813;
 Mon, 30 Dec 2013 11:03:52 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Mon, 30 Dec 2013 11:03:52 -0800 (PST)
In-Reply-To: <melhz2chb5.fsf@HIDDEN>
References: <87d2kk4zcn.fsf@HIDDEN>
 <CAOrdkqO3JRFjyXtu8nR5aTuS5eJg07NSAGXqQtpwBZUvy+nrfA@HIDDEN>
 <melhz2chb5.fsf@HIDDEN>
Date: Mon, 30 Dec 2013 12:03:52 -0700
Message-ID: <CAOrdkqM7wSYKUfP3g-r-3aVqpnmnBL2eZyDvAjW762KCGUwYrg@HIDDEN>
Subject: Re: bug#16254: 24.3.50;
 [PATCH] bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b3432f4d285b504eec51a81
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16254
Cc: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--047d7b3432f4d285b504eec51a81
Content-Type: text/plain; charset=ISO-8859-1

OK. I has bugged me long enough though that I finally sat down to work out
a fix.

It does work in vc-dir for edited files. vc-dir is not really an equivalent
use case though since it does not allow to show a full listing of
(up-to-date) files and hence to see their logs. Or am I missing something?


On Mon, Dec 30, 2013 at 11:41 AM, Glenn Morris <rgm@HIDDEN> wrote:

> Christoph wrote:
>
> > It would be nice if a fix for this issue made it into 24.4. Or do you
> think
> > that this is too intrusive of a change?
>
> 24.4 is still some way off. BTW, it does not work correctly in 23.4 or
> 24.1, so it does not seem that urgent to me. It works fine from a vc-dir
> buffer, just not a dired buffer.
>

--047d7b3432f4d285b504eec51a81
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">OK. I has bugged me long enough though that I finally sat =
down to work out a fix.<div><br></div><div>It does work in vc-dir for edite=
d files. vc-dir is not really an equivalent use case though since it does n=
ot allow to show a full listing of (up-to-date) files and hence to see thei=
r logs. Or am I missing something?</div>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Mon,=
 Dec 30, 2013 at 11:41 AM, Glenn Morris <span dir=3D"ltr">&lt;<a href=3D"ma=
ilto:rgm@HIDDEN" target=3D"_blank">rgm@HIDDEN</a>&gt;</span> wrote:<br><b=
lockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px =
#ccc solid;padding-left:1ex">
Christoph wrote:<br>
<br>
&gt; It would be nice if a fix for this issue made it into 24.4. Or do you =
think<br>
&gt; that this is too intrusive of a change?<br>
<br>
24.4 is still some way off. BTW, it does not work correctly in 23.4 or<br>
24.1, so it does not seem that urgent to me. It works fine from a vc-dir<br=
>
buffer, just not a dired buffer.<br>
</blockquote></div><br></div>

--047d7b3432f4d285b504eec51a81--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 30 Dec 2013 18:41:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 13:41:36 2013
Received: from localhost ([127.0.0.1]:53034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VxhmS-0004ja-Mu
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 13:41:36 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:35247)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VxhmQ-0004jS-RV
 for 16254 <at> debbugs.gnu.org; Mon, 30 Dec 2013 13:41:35 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VxhmQ-0004ma-5y; Mon, 30 Dec 2013 13:41:34 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Christoph <cschol2112@HIDDEN>
Subject: Re: bug#16254: 24.3.50;
 [PATCH] bzr error on emacs trunk using vc-print-log
References: <87d2kk4zcn.fsf@HIDDEN>
 <CAOrdkqO3JRFjyXtu8nR5aTuS5eJg07NSAGXqQtpwBZUvy+nrfA@HIDDEN>
X-Spook: BROMURE Juiliett Class Submarine quiche Bletchley Park
X-Ran: *:}|n4IkA+5f]nR/v}fCvJssZdfG1V!?.k:JfQ,pDU"P4uk,Rn(|.Jt~pDQ&zx1a{Phr}0
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 30 Dec 2013 13:41:34 -0500
In-Reply-To: <CAOrdkqO3JRFjyXtu8nR5aTuS5eJg07NSAGXqQtpwBZUvy+nrfA@HIDDEN>
 (Christoph's message of "Mon, 30 Dec 2013 08:53:39 -0700")
Message-ID: <melhz2chb5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 16254
Cc: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Christoph wrote:

> It would be nice if a fix for this issue made it into 24.4. Or do you think
> that this is too intrusive of a change?

24.4 is still some way off. BTW, it does not work correctly in 23.4 or
24.1, so it does not seem that urgent to me. It works fine from a vc-dir
buffer, just not a dired buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 30 Dec 2013 15:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 10:53:45 2013
Received: from localhost ([127.0.0.1]:52727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VxfA0-0004IX-CD
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 10:53:45 -0500
Received: from mail-lb0-f182.google.com ([209.85.217.182]:45032)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1Vxf9w-0004IK-Uq
 for 16254 <at> debbugs.gnu.org; Mon, 30 Dec 2013 10:53:42 -0500
Received: by mail-lb0-f182.google.com with SMTP id l4so5530533lbv.41
 for <16254 <at> debbugs.gnu.org>; Mon, 30 Dec 2013 07:53:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=1LdFxvAU3VdKh/b5aqHqWBgjC5wb+6Lhany0dtuZ9gg=;
 b=fhKx4QRNw/jOmV/ES0ASN49zTFSZGv+kI1leSvvxI6KwRbCjS2yNhd6Osdtl6+iWP9
 PVf3suLIGnDZu0ZgfASo0qYpiRmEGTt+Jw25AiBY9qzt6PbKO8LU1SCYtcM2m6YNRxCW
 3M9Qtmeow70T32TnUNCBpmvWvjz8qtj98trlQ88mFjGTIkH85spzSlrfKitobIdM3H/d
 Z4ZfGnxRR5TDIo66i5DUiUfQEe0XqZEwJRq66N3vNo9k44rfX9NFQPoEz6EDafOewN4G
 sqr/q6hT47f07n4bXJnOmeHottxm35TcDkDRc+Vwcx1uxeU60sR7veXOaLgri7G5O0H3
 VnLQ==
MIME-Version: 1.0
X-Received: by 10.112.135.67 with SMTP id pq3mr1584284lbb.65.1388418819512;
 Mon, 30 Dec 2013 07:53:39 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Mon, 30 Dec 2013 07:53:39 -0800 (PST)
Date: Mon, 30 Dec 2013 08:53:39 -0700
Message-ID: <CAOrdkqO3JRFjyXtu8nR5aTuS5eJg07NSAGXqQtpwBZUvy+nrfA@HIDDEN>
Subject: Re: bug#16254: 24.3.50;
 [PATCH] bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=089e011827f6895d3d04eec27260
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16254
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--089e011827f6895d3d04eec27260
Content-Type: text/plain; charset=ISO-8859-1

It would be nice if a fix for this issue made it into 24.4. Or do you think
that this is too intrusive of a change?

I'll add Changelog entries etc. and commit it if someone can look it over.

Thanks.

On Thu, Dec 26, 2013 at 7:47 PM, Christoph <cschol2112@HIDDEN> wrote:

> This issue seems to be that when deducing the fileset in dired mode, the
> code does not distinguish between files that are under version control and
> files that aren't.
>
> The following patch adds detection (and filtering) of unregistered members
> to vc-dired-deduce-fileset.
> If the marked files have any unregistered files among them, the
> unregistered files are filtered out.
> If all files are unregistered, an error is shown. This also covers the
> main case of selecting just one unregistered file/directory.
>
> Thoughts?
>
> === modified file 'lisp/vc/vc.el'
> --- lisp/vc/vc.el 2013-11-26 19:17:55 +0000
> +++ lisp/vc/vc.el 2013-12-27 02:40:38 +0000
> @@ -1014,10 +1014,19 @@
>       (t (error "File is not under version control")))))
>
>  (defun vc-dired-deduce-fileset ()
> -  (let ((backend (vc-responsible-backend default-directory)))
> -    (unless backend (error "Directory not under VC"))
> -    (list backend
> -          (dired-map-over-marks (dired-get-filename nil t) nil))))
> +  "Deduce a set of files and a backend to which to apply an
> +operation from all the marked items in a dired buffer. Resulting
> +fileset only includes items that are version controlled."
> +  (let ((backend (vc-responsible-backend default-directory))
> +        (fileset
> +         (delq nil (mapcar
> +                    (lambda (x) (if (not (equal (vc-backend x) nil)) x))
> +                    (dired-map-over-marks
> +                     (dired-get-filename nil t)
> +                     nil)))))
> +    (if (not fileset)
> +        (error "Marked fileset is not under version control")
> +      (list backend fileset))))
>
>  (defun vc-ensure-vc-buffer ()
>    "Make sure that the current buffer visits a version-controlled file."
>

--089e011827f6895d3d04eec27260
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">It would be nice if a fix for this issue made it into 24.4=
. Or do you think that this is too intrusive of a change?<div><br></div><di=
v>I&#39;ll add Changelog entries etc. and commit it if someone can look it =
over.</div>
<div><br></div><div>Thanks.<div class=3D"gmail_extra"><br><div class=3D"gma=
il_quote">On Thu, Dec 26, 2013 at 7:47 PM, Christoph <span dir=3D"ltr">&lt;=
<a href=3D"mailto:cschol2112@HIDDEN" target=3D"_blank">cschol2112@gmail.=
com</a>&gt;</span> wrote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div dir=3D"ltr">This issue seems to be that=
 when deducing the fileset in dired mode, the code does not distinguish bet=
ween files that are under version control and files that aren&#39;t.<div>

<br></div><div>The following patch adds detection (and filtering) of unregi=
stered members to vc-dired-deduce-fileset.</div>
<div>If the marked files have any unregistered files among them, the unregi=
stered files are filtered out.=A0</div><div>If all files are unregistered, =
an error is shown. This also covers the main case of selecting just one unr=
egistered file/directory.</div>


<div><br></div><div>Thoughts?</div><div><br></div><div><div>=3D=3D=3D modif=
ied file &#39;lisp/vc/vc.el&#39;</div><div>--- lisp/vc/vc.el<span style=3D"=
white-space:pre-wrap">	</span>2013-11-26 19:17:55 +0000</div><div>+++ lisp/=
vc/vc.el<span style=3D"white-space:pre-wrap">	</span>2013-12-27 02:40:38 +0=
000</div>


<div>@@ -1014,10 +1014,19 @@</div><div>=A0 =A0 =A0 (t (error &quot;File is =
not under version control&quot;)))))</div><div>=A0</div><div>=A0(defun vc-d=
ired-deduce-fileset ()</div><div>- =A0(let ((backend (vc-responsible-backen=
d default-directory)))</div>


<div>- =A0 =A0(unless backend (error &quot;Directory not under VC&quot;))</=
div><div>- =A0 =A0(list backend</div><div>- =A0 =A0 =A0 =A0 =A0(dired-map-o=
ver-marks (dired-get-filename nil t) nil))))</div><div>+ =A0&quot;Deduce a =
set of files and a backend to which to apply an</div>


<div>+operation from all the marked items in a dired buffer. Resulting</div=
><div>+fileset only includes items that are version controlled.&quot;</div>=
<div>+ =A0(let ((backend (vc-responsible-backend default-directory))</div>


<div>+ =A0 =A0 =A0 =A0(fileset</div><div>+ =A0 =A0 =A0 =A0 (delq nil (mapca=
r</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0(lambda (x) (if (not (=
equal (vc-backend x) nil)) x))</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =
=A0 =A0(dired-map-over-marks</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =
=A0 =A0 (dired-get-filename nil t)</div>


<div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 nil)))))</div><div>+ =A0 =A0=
(if (not fileset)</div><div>+ =A0 =A0 =A0 =A0(error &quot;Marked fileset is=
 not under version control&quot;)</div><div>+ =A0 =A0 =A0(list backend file=
set))))</div><div>=A0</div><div>=A0(defun vc-ensure-vc-buffer ()</div>


<div>=A0 =A0&quot;Make sure that the current buffer visits a version-contro=
lled file.&quot;</div></div></div></blockquote></div></div></div></div>

--089e011827f6895d3d04eec27260--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 27 Dec 2013 02:47:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 21:47:12 2013
Received: from localhost ([127.0.0.1]:45006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VwNSB-0003L8-Su
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2013 21:47:12 -0500
Received: from mail-lb0-f182.google.com ([209.85.217.182]:53454)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1VwNS8-0003Kz-LD
 for 16254 <at> debbugs.gnu.org; Thu, 26 Dec 2013 21:47:09 -0500
Received: by mail-lb0-f182.google.com with SMTP id l4so3927637lbv.41
 for <16254 <at> debbugs.gnu.org>; Thu, 26 Dec 2013 18:47:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=UmKyyxjq6tJxxOpGJAzh6ZMH32ZetwPHycFcNZcEmz4=;
 b=0v8nMlwF8p4bUBoTEBuiwn7KgiEewXe4LTXUpDzx2tQ3xs+Zd16Pm0LUUiWLfsZUuZ
 WFKa7/vPE8em3cktpxlG2ISAqwTz49QzUZaNKa8pF5suJDbGxMMPu8zicywE+lm5c3x+
 6ny++GfJaUxDmHZSrf/JL6uPUcI0/AJZ6F/5HhT22zH4F1cPhBmKLj/xbRPUk1ZQ80DN
 1FwPDxrSJQo3kGaOW4la2l5UzLZoUVdhbsLhYxwOHp2KA/Ry02jIGGoLjj31y8myQlRo
 uLH60u2lRb6l749zOu7xc/5blOpToFLuCQ/EiFvX/2OVXoHJOZNh6kCuw6U+SPXXQLaT
 dyPA==
MIME-Version: 1.0
X-Received: by 10.152.6.201 with SMTP id d9mr7566925laa.25.1388112427432; Thu,
 26 Dec 2013 18:47:07 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Thu, 26 Dec 2013 18:47:07 -0800 (PST)
In-Reply-To: <CAOrdkqPn1OrcYsnwkzLGNCqn=TGq1co=PV+h4mND-WpKc25nuQ@HIDDEN>
References: <87d2kk4zcn.fsf@HIDDEN>
 <CAOrdkqP+Mawz+UvD+qi04wi=Kr=oSzD8ALpQScbcp-FWLi+n1w@HIDDEN>
 <CAOrdkqNHQD5HK46qTRMHWAt7OuF85WDGuMtTWA1S0SO8ZiTFmg@HIDDEN>
 <CAOrdkqPn1OrcYsnwkzLGNCqn=TGq1co=PV+h4mND-WpKc25nuQ@HIDDEN>
Date: Thu, 26 Dec 2013 19:47:07 -0700
Message-ID: <CAOrdkqOgd9cf8qAXGWdjDyBDsDzcy4xdhGauWwqR_+d2vX0i2w@HIDDEN>
Subject: Re: bug#16254: 24.3.50; bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=089e013d1a94253f3404ee7b1c24
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16254
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--089e013d1a94253f3404ee7b1c24
Content-Type: text/plain; charset=ISO-8859-1

This issue seems to be that when deducing the fileset in dired mode, the
code does not distinguish between files that are under version control and
files that aren't.

The following patch adds detection (and filtering) of unregistered members
to vc-dired-deduce-fileset.
If the marked files have any unregistered files among them, the
unregistered files are filtered out.
If all files are unregistered, an error is shown. This also covers the main
case of selecting just one unregistered file/directory.

Thoughts?

=== modified file 'lisp/vc/vc.el'
--- lisp/vc/vc.el 2013-11-26 19:17:55 +0000
+++ lisp/vc/vc.el 2013-12-27 02:40:38 +0000
@@ -1014,10 +1014,19 @@
      (t (error "File is not under version control")))))

 (defun vc-dired-deduce-fileset ()
-  (let ((backend (vc-responsible-backend default-directory)))
-    (unless backend (error "Directory not under VC"))
-    (list backend
-          (dired-map-over-marks (dired-get-filename nil t) nil))))
+  "Deduce a set of files and a backend to which to apply an
+operation from all the marked items in a dired buffer. Resulting
+fileset only includes items that are version controlled."
+  (let ((backend (vc-responsible-backend default-directory))
+        (fileset
+         (delq nil (mapcar
+                    (lambda (x) (if (not (equal (vc-backend x) nil)) x))
+                    (dired-map-over-marks
+                     (dired-get-filename nil t)
+                     nil)))))
+    (if (not fileset)
+        (error "Marked fileset is not under version control")
+      (list backend fileset))))

 (defun vc-ensure-vc-buffer ()
   "Make sure that the current buffer visits a version-controlled file."



On Wed, Dec 25, 2013 at 11:35 AM, Christoph <cschol2112@HIDDEN> wrote:

> I was wrong. The t argument in vc-deduce-fileset does something
> else. Sorry for the noise.
>
>
>
> On Wed, Dec 25, 2013 at 11:22 AM, Christoph <cschol2112@HIDDEN> wrote:
>
>> vc-print-log was executed from a dired buffer when this happened.
>> vc-print-root-log works correctly and prints the Emacs bzr logs.
>>
>> vc.el has the following code in vc-print-log:
>>
>>   (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t? --Stef
>>  (backend (car vc-fileset))
>>  (files (cadr vc-fileset))
>> ;; (working-revision (or working-revision (vc-working-revision (car
>> files))))
>>          )
>>     (vc-print-log-internal backend files working-revision nil limit)))
>>
>> The t in vc-decude-fileset allows unregistered files per the
>> documentation. To follow Stefan's questions, why would we want unregistered
>> files to be included in the fileset for the log command?
>>
>> I think this should be changed to disallow unregistered files.
>>
>> Christoph
>>
>>
>> On Wed, Dec 25, 2013 at 10:54 AM, Christoph <cschol2112@HIDDEN> wrote:
>>
>>> Some more information on this issue:
>>>
>>> `vc-print-log` works find in a sub-directory of the tree, e.g. admin.
>>> It looks like aclocal.m4 is ignored via .bzrignore and it is the first
>>> file in the root tree (after running configure and such).
>>>
>>> I seem to remember we had a similar problem before that was fixed at
>>> some point.
>>>
>>>
>>> On Wed, Dec 25, 2013 at 10:25 AM, Christoph <cschol2112@HIDDEN>wrote:
>>>
>>>>
>>>> Running `vc-print-log` on a directory containing the Emacs trunk gives
>>>> the following error:
>>>>
>>>> bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4
>>>>
>>>>
>>>>
>>>> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>>>>  of 2013-12-14 on marvin
>>>> Bzr revision: 115528 tzz@HIDDEN
>>>> Windowing system distributor `The X.Org Foundation', version
>>>> 11.0.11103000
>>>> System Description:     Linux Mint 13 Maya
>>>>
>>>
>>>
>>
>

--089e013d1a94253f3404ee7b1c24
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">This issue seems to be that when deducing the fileset in d=
ired mode, the code does not distinguish between files that are under versi=
on control and files that aren&#39;t.<div><br></div><div>The following patc=
h adds detection (and filtering) of unregistered members to vc-dired-deduce=
-fileset.</div>
<div>If the marked files have any unregistered files among them, the unregi=
stered files are filtered out.=A0</div><div>If all files are unregistered, =
an error is shown. This also covers the main case of selecting just one unr=
egistered file/directory.</div>
<div><br></div><div>Thoughts?</div><div><br></div><div><div>=3D=3D=3D modif=
ied file &#39;lisp/vc/vc.el&#39;</div><div>--- lisp/vc/vc.el<span class=3D"=
" style=3D"white-space:pre">	</span>2013-11-26 19:17:55 +0000</div><div>+++=
 lisp/vc/vc.el<span class=3D"" style=3D"white-space:pre">	</span>2013-12-27=
 02:40:38 +0000</div>
<div>@@ -1014,10 +1014,19 @@</div><div>=A0 =A0 =A0 (t (error &quot;File is =
not under version control&quot;)))))</div><div>=A0</div><div>=A0(defun vc-d=
ired-deduce-fileset ()</div><div>- =A0(let ((backend (vc-responsible-backen=
d default-directory)))</div>
<div>- =A0 =A0(unless backend (error &quot;Directory not under VC&quot;))</=
div><div>- =A0 =A0(list backend</div><div>- =A0 =A0 =A0 =A0 =A0(dired-map-o=
ver-marks (dired-get-filename nil t) nil))))</div><div>+ =A0&quot;Deduce a =
set of files and a backend to which to apply an</div>
<div>+operation from all the marked items in a dired buffer. Resulting</div=
><div>+fileset only includes items that are version controlled.&quot;</div>=
<div>+ =A0(let ((backend (vc-responsible-backend default-directory))</div>
<div>+ =A0 =A0 =A0 =A0(fileset</div><div>+ =A0 =A0 =A0 =A0 (delq nil (mapca=
r</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0(lambda (x) (if (not (=
equal (vc-backend x) nil)) x))</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =
=A0 =A0(dired-map-over-marks</div><div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =
=A0 =A0 (dired-get-filename nil t)</div>
<div>+ =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 nil)))))</div><div>+ =A0 =A0=
(if (not fileset)</div><div>+ =A0 =A0 =A0 =A0(error &quot;Marked fileset is=
 not under version control&quot;)</div><div>+ =A0 =A0 =A0(list backend file=
set))))</div><div>=A0</div><div>=A0(defun vc-ensure-vc-buffer ()</div>
<div>=A0 =A0&quot;Make sure that the current buffer visits a version-contro=
lled file.&quot;</div><div><br></div></div></div><div class=3D"gmail_extra"=
><br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 11:35 AM, Chris=
toph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=
=3D"_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div dir=3D"ltr">I was wrong. The t argument=
 in vc-deduce-fileset does something else.=A0Sorry for the noise.<div><br><=
/div>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Wed,=
 Dec 25, 2013 at 11:22 AM, Christoph <span dir=3D"ltr">&lt;<a href=3D"mailt=
o:cschol2112@HIDDEN" target=3D"_blank">cschol2112@HIDDEN</a>&gt;</spa=
n> wrote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div dir=3D"ltr">vc-print-log was executed f=
rom a dired buffer when this happened. vc-print-root-log works correctly an=
d prints the Emacs bzr logs.<div>

<br></div><div><div>vc.el has the following code in vc-print-log:</div><div=
>
<br></div><div>=A0 (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t?=
 --Stef</div><div><span style=3D"white-space:pre-wrap">	</span> (backend (c=
ar vc-fileset))</div><div><span style=3D"white-space:pre-wrap">	</span> (fi=
les (cadr vc-fileset))</div>


<div>;;<span style=3D"white-space:pre-wrap">	</span> (working-revision (or =
working-revision (vc-working-revision (car files))))</div><div>=A0 =A0 =A0 =
=A0 =A0)</div><div>=A0 =A0 (vc-print-log-internal backend files working-rev=
ision nil limit)))</div>


</div><div><br></div><div class=3D"gmail_extra">The t in vc-decude-fileset =
allows unregistered files per the documentation. To follow Stefan&#39;s que=
stions, why would we want unregistered files to be included in the fileset =
for the log command?</div>


<div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">I think thi=
s should be changed to disallow unregistered files.</div><div class=3D"gmai=
l_extra"><br></div><div class=3D"gmail_extra">Christoph</div><div class=3D"=
gmail_extra">


<br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:54 AM, Christ=
oph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D=
"_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D=
"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding=
-left:1ex">


<div dir=3D"ltr">Some more information on this issue:=A0<div><br></div><div=
>`vc-print-log` works find in a sub-directory of the tree, e.g. admin.<div>=
It looks like aclocal.m4 is ignored via .bzrignore and it is the first file=
 in the root tree (after running configure and such).</div>



<div><br></div><div>I seem to remember we had a similar problem before that=
 was fixed at some point.<br></div></div></div><div class=3D"gmail_extra"><=
br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:25 AM, Christo=
ph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D"=
_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>



<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
Running `vc-print-log` on a directory containing the Emacs trunk gives<br>
the following error:<br>
<br>
bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4<br>
<br>
<br>
<br>
In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)<br>
=A0of 2013-12-14 on marvin<br>
Bzr revision: 115528 tzz@HIDDEN<br>
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11103=
000<br>
System Description: =A0 =A0 Linux Mint 13 Maya<br>
</blockquote></div><br></div>
</blockquote></div><br></div></div>
</blockquote></div><br></div>
</blockquote></div><br></div>

--089e013d1a94253f3404ee7b1c24--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 25 Dec 2013 18:35:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 13:35:31 2013
Received: from localhost ([127.0.0.1]:41720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvtIp-0007n1-Ad
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 13:35:31 -0500
Received: from mail-lb0-f182.google.com ([209.85.217.182]:49236)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1VvtIm-0007mi-Rv
 for 16254 <at> debbugs.gnu.org; Wed, 25 Dec 2013 13:35:29 -0500
Received: by mail-lb0-f182.google.com with SMTP id l4so3443512lbv.27
 for <16254 <at> debbugs.gnu.org>; Wed, 25 Dec 2013 10:35:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=8KisYbKJQwh2rwNCpaRdnnwLCeNTB+qhLSu6Wy4NRCU=;
 b=nWTcNRHCF5iOURU5HGOOwgBvUVWnOvm9XaIRf5HvUC5CGWGX3jRcYnIZNpzKJS9N+u
 WeAiOwdDvXV8JLtTalVfbbR12dlzXFYGN1vCGb9OveYD1gOQR94uKiKhXjh3sw2BKhWq
 l6IxpFX5vUb4IXPh+5/ioYysMRQJNlAuSkMeiB+lw5aYnoWL8ohIBN/M8Ja7IIeJHEgc
 3nxVaOXCqbP6WzEFk8ofS71XOkUGes2tGCDs6zOzUxrbPoC4sTbFsOqAS+T+O7rmt4K5
 Y1htuLGdk2cm1pWU8bVbIN9iBI/GFX7ZW8TSz32ZYXpb+6T0BQfcMDjhUtb3R5GQJwmw
 DNdg==
MIME-Version: 1.0
X-Received: by 10.112.128.194 with SMTP id nq2mr11146lbb.84.1387996527606;
 Wed, 25 Dec 2013 10:35:27 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Wed, 25 Dec 2013 10:35:27 -0800 (PST)
In-Reply-To: <CAOrdkqNHQD5HK46qTRMHWAt7OuF85WDGuMtTWA1S0SO8ZiTFmg@HIDDEN>
References: <87d2kk4zcn.fsf@HIDDEN>
 <CAOrdkqP+Mawz+UvD+qi04wi=Kr=oSzD8ALpQScbcp-FWLi+n1w@HIDDEN>
 <CAOrdkqNHQD5HK46qTRMHWAt7OuF85WDGuMtTWA1S0SO8ZiTFmg@HIDDEN>
Date: Wed, 25 Dec 2013 11:35:27 -0700
Message-ID: <CAOrdkqPn1OrcYsnwkzLGNCqn=TGq1co=PV+h4mND-WpKc25nuQ@HIDDEN>
Subject: Re: bug#16254: 24.3.50; bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b3441fafa41f104ee601fd7
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16254
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--047d7b3441fafa41f104ee601fd7
Content-Type: text/plain; charset=ISO-8859-1

I was wrong. The t argument in vc-deduce-fileset does something else. Sorry
for the noise.



On Wed, Dec 25, 2013 at 11:22 AM, Christoph <cschol2112@HIDDEN> wrote:

> vc-print-log was executed from a dired buffer when this happened.
> vc-print-root-log works correctly and prints the Emacs bzr logs.
>
> vc.el has the following code in vc-print-log:
>
>   (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t? --Stef
>  (backend (car vc-fileset))
>  (files (cadr vc-fileset))
> ;; (working-revision (or working-revision (vc-working-revision (car
> files))))
>          )
>     (vc-print-log-internal backend files working-revision nil limit)))
>
> The t in vc-decude-fileset allows unregistered files per the
> documentation. To follow Stefan's questions, why would we want unregistered
> files to be included in the fileset for the log command?
>
> I think this should be changed to disallow unregistered files.
>
> Christoph
>
>
> On Wed, Dec 25, 2013 at 10:54 AM, Christoph <cschol2112@HIDDEN> wrote:
>
>> Some more information on this issue:
>>
>> `vc-print-log` works find in a sub-directory of the tree, e.g. admin.
>> It looks like aclocal.m4 is ignored via .bzrignore and it is the first
>> file in the root tree (after running configure and such).
>>
>> I seem to remember we had a similar problem before that was fixed at some
>> point.
>>
>>
>> On Wed, Dec 25, 2013 at 10:25 AM, Christoph <cschol2112@HIDDEN> wrote:
>>
>>>
>>> Running `vc-print-log` on a directory containing the Emacs trunk gives
>>> the following error:
>>>
>>> bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4
>>>
>>>
>>>
>>> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>>>  of 2013-12-14 on marvin
>>> Bzr revision: 115528 tzz@HIDDEN
>>> Windowing system distributor `The X.Org Foundation', version
>>> 11.0.11103000
>>> System Description:     Linux Mint 13 Maya
>>>
>>
>>
>

--047d7b3441fafa41f104ee601fd7
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I was wrong. The t argument in vc-deduce-fileset does some=
thing else.=A0Sorry for the noise.<div><br></div></div><div class=3D"gmail_=
extra"><br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 11:22 AM,=
 Christoph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" ta=
rget=3D"_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div dir=3D"ltr">vc-print-log was executed f=
rom a dired buffer when this happened. vc-print-root-log works correctly an=
d prints the Emacs bzr logs.<div>
<br></div><div><div>vc.el has the following code in vc-print-log:</div><div=
>
<br></div><div>=A0 (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t?=
 --Stef</div><div><span style=3D"white-space:pre-wrap">	</span> (backend (c=
ar vc-fileset))</div><div><span style=3D"white-space:pre-wrap">	</span> (fi=
les (cadr vc-fileset))</div>

<div>;;<span style=3D"white-space:pre-wrap">	</span> (working-revision (or =
working-revision (vc-working-revision (car files))))</div><div>=A0 =A0 =A0 =
=A0 =A0)</div><div>=A0 =A0 (vc-print-log-internal backend files working-rev=
ision nil limit)))</div>

</div><div><br></div><div class=3D"gmail_extra">The t in vc-decude-fileset =
allows unregistered files per the documentation. To follow Stefan&#39;s que=
stions, why would we want unregistered files to be included in the fileset =
for the log command?</div>

<div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">I think thi=
s should be changed to disallow unregistered files.</div><div class=3D"gmai=
l_extra"><br></div><div class=3D"gmail_extra">Christoph</div><div class=3D"=
gmail_extra">

<br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:54 AM, Christ=
oph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D=
"_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D=
"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding=
-left:1ex">

<div dir=3D"ltr">Some more information on this issue:=A0<div><br></div><div=
>`vc-print-log` works find in a sub-directory of the tree, e.g. admin.<div>=
It looks like aclocal.m4 is ignored via .bzrignore and it is the first file=
 in the root tree (after running configure and such).</div>


<div><br></div><div>I seem to remember we had a similar problem before that=
 was fixed at some point.<br></div></div></div><div class=3D"gmail_extra"><=
br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:25 AM, Christo=
ph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D"=
_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>


<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
Running `vc-print-log` on a directory containing the Emacs trunk gives<br>
the following error:<br>
<br>
bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4<br>
<br>
<br>
<br>
In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)<br>
=A0of 2013-12-14 on marvin<br>
Bzr revision: 115528 tzz@HIDDEN<br>
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11103=
000<br>
System Description: =A0 =A0 Linux Mint 13 Maya<br>
</blockquote></div><br></div>
</blockquote></div><br></div></div>
</blockquote></div><br></div>

--047d7b3441fafa41f104ee601fd7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at 16254 <at> debbugs.gnu.org:


Received: (at 16254) by debbugs.gnu.org; 25 Dec 2013 18:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 13:22:45 2013
Received: from localhost ([127.0.0.1]:41696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vvt6S-0007Lr-Lz
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 13:22:45 -0500
Received: from mail-la0-f44.google.com ([209.85.215.44]:51598)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1Vvt6Q-0007Lj-IM
 for 16254 <at> debbugs.gnu.org; Wed, 25 Dec 2013 13:22:43 -0500
Received: by mail-la0-f44.google.com with SMTP id ep20so3438418lab.31
 for <16254 <at> debbugs.gnu.org>; Wed, 25 Dec 2013 10:22:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=jGuh7ct1u3w0bAvSOWKQ/Vor43+kBl2wLgnA80UCj34=;
 b=bWphJTMPTP30LcfP8rlM6SpToo3AfejkxM7zjTNf9RH2zReM6SPlzcYbAeuALEponp
 eWPcLvw3K5hvpdYbs3FqzpZt5u2LZTTqz42gbQFOr76fGZu8sfYor7SVkUAZoiXBdru0
 ubaBfnwxCEaF+R3l9s1++pIJ0DZMcoofliqenphnMfqyFBEZwp024jZiYAIR4bL3+wtU
 Sm+PVUi+lwPA2Tw46dpT9/HzGZTykVPD3HkBfAq6GOGIuwLgQzFy2R3p1xaTigJxyzoc
 YA3LecyWFyMCpiomLwpBEPMfmTFF2huosn8/vPrbAKS3Z+TxTJho1G7TkYyb+BaImsxC
 sn3Q==
MIME-Version: 1.0
X-Received: by 10.112.135.67 with SMTP id pq3mr600624lbb.65.1387995761361;
 Wed, 25 Dec 2013 10:22:41 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Wed, 25 Dec 2013 10:22:41 -0800 (PST)
In-Reply-To: <CAOrdkqP+Mawz+UvD+qi04wi=Kr=oSzD8ALpQScbcp-FWLi+n1w@HIDDEN>
References: <87d2kk4zcn.fsf@HIDDEN>
 <CAOrdkqP+Mawz+UvD+qi04wi=Kr=oSzD8ALpQScbcp-FWLi+n1w@HIDDEN>
Date: Wed, 25 Dec 2013 11:22:41 -0700
Message-ID: <CAOrdkqNHQD5HK46qTRMHWAt7OuF85WDGuMtTWA1S0SO8ZiTFmg@HIDDEN>
Subject: Re: bug#16254: 24.3.50; bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: 16254 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=089e011827f64e475504ee5ff2b0
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16254
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--089e011827f64e475504ee5ff2b0
Content-Type: text/plain; charset=ISO-8859-1

vc-print-log was executed from a dired buffer when this happened.
vc-print-root-log works correctly and prints the Emacs bzr logs.

vc.el has the following code in vc-print-log:

  (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t? --Stef
 (backend (car vc-fileset))
 (files (cadr vc-fileset))
;; (working-revision (or working-revision (vc-working-revision (car
files))))
         )
    (vc-print-log-internal backend files working-revision nil limit)))

The t in vc-decude-fileset allows unregistered files per the documentation.
To follow Stefan's questions, why would we want unregistered files to be
included in the fileset for the log command?

I think this should be changed to disallow unregistered files.

Christoph


On Wed, Dec 25, 2013 at 10:54 AM, Christoph <cschol2112@HIDDEN> wrote:

> Some more information on this issue:
>
> `vc-print-log` works find in a sub-directory of the tree, e.g. admin.
> It looks like aclocal.m4 is ignored via .bzrignore and it is the first
> file in the root tree (after running configure and such).
>
> I seem to remember we had a similar problem before that was fixed at some
> point.
>
>
> On Wed, Dec 25, 2013 at 10:25 AM, Christoph <cschol2112@HIDDEN> wrote:
>
>>
>> Running `vc-print-log` on a directory containing the Emacs trunk gives
>> the following error:
>>
>> bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4
>>
>>
>>
>> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>>  of 2013-12-14 on marvin
>> Bzr revision: 115528 tzz@HIDDEN
>> Windowing system distributor `The X.Org Foundation', version 11.0.11103000
>> System Description:     Linux Mint 13 Maya
>>
>
>

--089e011827f64e475504ee5ff2b0
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">vc-print-log was executed from a dired buffer when this ha=
ppened. vc-print-root-log works correctly and prints the Emacs bzr logs.<di=
v><br></div><div><div>vc.el has the following code in vc-print-log:</div><d=
iv>
<br></div><div>=A0 (let* ((vc-fileset (vc-deduce-fileset t)) ;FIXME: Why t?=
 --Stef</div><div><span class=3D"" style=3D"white-space:pre">	</span> (back=
end (car vc-fileset))</div><div><span class=3D"" style=3D"white-space:pre">=
	</span> (files (cadr vc-fileset))</div>
<div>;;<span class=3D"" style=3D"white-space:pre">	</span> (working-revisio=
n (or working-revision (vc-working-revision (car files))))</div><div>=A0 =
=A0 =A0 =A0 =A0)</div><div>=A0 =A0 (vc-print-log-internal backend files wor=
king-revision nil limit)))</div>
</div><div><br></div><div class=3D"gmail_extra">The t in vc-decude-fileset =
allows unregistered files per the documentation. To follow Stefan&#39;s que=
stions, why would we want unregistered files to be included in the fileset =
for the log command?</div>
<div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">I think thi=
s should be changed to disallow unregistered files.</div><div class=3D"gmai=
l_extra"><br></div><div class=3D"gmail_extra">Christoph</div><div class=3D"=
gmail_extra">
<br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:54 AM, Christ=
oph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D=
"_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D=
"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding=
-left:1ex">
<div dir=3D"ltr">Some more information on this issue:=A0<div><br></div><div=
>`vc-print-log` works find in a sub-directory of the tree, e.g. admin.<div>=
It looks like aclocal.m4 is ignored via .bzrignore and it is the first file=
 in the root tree (after running configure and such).</div>

<div><br></div><div>I seem to remember we had a similar problem before that=
 was fixed at some point.<br></div></div></div><div class=3D"gmail_extra"><=
br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:25 AM, Christo=
ph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D"=
_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
Running `vc-print-log` on a directory containing the Emacs trunk gives<br>
the following error:<br>
<br>
bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4<br>
<br>
<br>
<br>
In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)<br>
=A0of 2013-12-14 on marvin<br>
Bzr revision: 115528 tzz@HIDDEN<br>
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11103=
000<br>
System Description: =A0 =A0 Linux Mint 13 Maya<br>
</blockquote></div><br></div>
</blockquote></div><br></div></div>

--089e011827f64e475504ee5ff2b0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2013 17:54:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 12:54:56 2013
Received: from localhost ([127.0.0.1]:41651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvsfX-0006Tl-Um
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:54:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47931)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfT-0006TY-Mc
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:54:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfS-0001sb-MA
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:54:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_05,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58780)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfS-0001sX-IY
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:54:50 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49648)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfR-0007Be-LQ
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:54:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfQ-0001sE-K4
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:54:49 -0500
Received: from mail-la0-x234.google.com ([2a00:1450:4010:c03::234]:57344)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsfQ-0001s6-BO
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:54:48 -0500
Received: by mail-la0-f52.google.com with SMTP id y1so3335003lam.39
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Dec 2013 09:54:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=4ENWhpjmMH7OI9igLc/EsyADLNwxnVlKa4Shs467FMM=;
 b=mB7qgMYzvTGqx1NQE+vB5aMN3WZkNxGjqzmFPOA2l2zseRUEfy2Toby3QwzR0kktX+
 0dKfi8v+Lv3A0MELxImxafGumVE3gorWALNPzK6prrUEioPC3qP0TJXf9xZKnQRHIHDz
 yqIm8xr59pLzNOfiP4thLgliV+ea/J44ooWqfbBrQLllwiggWNU7wp531Pme+WTd/kgX
 Oh42GcEvLaS8B30UYykIxf1penD18M2kjw1L7hbE6LDhpU7vAatJp6+6If4K7gCuQZg4
 oPgkHVQeZEE2aEB/kPsslf7QwMdmurVrm7sCoy2myuWUJgWenViz4+kJ4r1tixBz9CsB
 MjOQ==
MIME-Version: 1.0
X-Received: by 10.112.133.232 with SMTP id pf8mr120550lbb.69.1387994087163;
 Wed, 25 Dec 2013 09:54:47 -0800 (PST)
Received: by 10.152.133.66 with HTTP; Wed, 25 Dec 2013 09:54:47 -0800 (PST)
In-Reply-To: <87d2kk4zcn.fsf@HIDDEN>
References: <87d2kk4zcn.fsf@HIDDEN>
Date: Wed, 25 Dec 2013 10:54:47 -0700
Message-ID: <CAOrdkqP+Mawz+UvD+qi04wi=Kr=oSzD8ALpQScbcp-FWLi+n1w@HIDDEN>
Subject: Re: 24.3.50; bzr error on emacs trunk using vc-print-log
From: Christoph <cschol2112@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=047d7b3a81ce840a9c04ee5f8e23
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--047d7b3a81ce840a9c04ee5f8e23
Content-Type: text/plain; charset=ISO-8859-1

Some more information on this issue:

`vc-print-log` works find in a sub-directory of the tree, e.g. admin.
It looks like aclocal.m4 is ignored via .bzrignore and it is the first file
in the root tree (after running configure and such).

I seem to remember we had a similar problem before that was fixed at some
point.


On Wed, Dec 25, 2013 at 10:25 AM, Christoph <cschol2112@HIDDEN> wrote:

>
> Running `vc-print-log` on a directory containing the Emacs trunk gives
> the following error:
>
> bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4
>
>
>
> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>  of 2013-12-14 on marvin
> Bzr revision: 115528 tzz@HIDDEN
> Windowing system distributor `The X.Org Foundation', version 11.0.11103000
> System Description:     Linux Mint 13 Maya
>

--047d7b3a81ce840a9c04ee5f8e23
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Some more information on this issue:=A0<div><br></div><div=
>`vc-print-log` works find in a sub-directory of the tree, e.g. admin.<div>=
It looks like aclocal.m4 is ignored via .bzrignore and it is the first file=
 in the root tree (after running configure and such).</div>
<div><br></div><div>I seem to remember we had a similar problem before that=
 was fixed at some point.<br></div></div></div><div class=3D"gmail_extra"><=
br><br><div class=3D"gmail_quote">On Wed, Dec 25, 2013 at 10:25 AM, Christo=
ph <span dir=3D"ltr">&lt;<a href=3D"mailto:cschol2112@HIDDEN" target=3D"=
_blank">cschol2112@HIDDEN</a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
Running `vc-print-log` on a directory containing the Emacs trunk gives<br>
the following error:<br>
<br>
bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4<br>
<br>
<br>
<br>
In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)<br>
=A0of 2013-12-14 on marvin<br>
Bzr revision: 115528 tzz@HIDDEN<br>
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11103=
000<br>
System Description: =A0 =A0 Linux Mint 13 Maya<br>
</blockquote></div><br></div>

--047d7b3a81ce840a9c04ee5f8e23--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2013 17:26:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 12:26:16 2013
Received: from localhost ([127.0.0.1]:41596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvsDn-0005Y3-JQ
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:26:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44507)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDl-0005Xv-3j
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:26:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDk-00031D-39
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:26:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.6 required=5.0 tests=BAYES_00,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38620)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDj-000319-WA
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 12:26:12 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46229)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDj-00021z-3a
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:26:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDi-00030v-7u
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:26:11 -0500
Received: from mail-bk0-x232.google.com ([2a00:1450:4008:c01::232]:64432)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cschol2112@HIDDEN>) id 1VvsDi-00030j-1R
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 12:26:10 -0500
Received: by mail-bk0-f50.google.com with SMTP id e11so2662326bkh.9
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Dec 2013 09:26:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=8XJ5mBox//onLZm7S5N2HxDaNXyK5VsPnD7sIxCLp6Q=;
 b=edVmgTmspZlqfkEI8j3IBb3DfnPB9WqxRSbMWJtF2cfUhmKN/oENZvpnVRd2Nt0H5y
 VnVwtsZuwFDWS7nR0iwd09kP9wMNlATycbp9ziUPkHC/L0hb1edeoW5lCpZkd0S7h2KU
 y2wt51ehPkEpzHNkv/z0o0fWxqftnA345muccRX3V9tFF82sCstgeXLXKfnOXEvmWi0q
 AovqX09DzlAC3o2AGjGwHG7hDeMisr1ZmQfcoVpBOyEr7q/7WAj+z+sPpO59ruLCpFe0
 lLloYK20oFFqgiSymmPvBoRhNRMR72sffucgjtHgo0sWIWQnZtGmaAd2jSYvZ0/IsRWL
 yLaw==
X-Received: by 10.204.200.201 with SMTP id ex9mr37329bkb.75.1387992368211;
 Wed, 25 Dec 2013 09:26:08 -0800 (PST)
Received: from marvin ([2601:1:8b00:519:1515:d40e:92b5:66f8])
 by mx.google.com with ESMTPSA id bg1sm4966101bkc.4.2013.12.25.09.26.06
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 25 Dec 2013 09:26:07 -0800 (PST)
From: Christoph <cschol2112@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; bzr error on emacs trunk using vc-print-log
Date: Wed, 25 Dec 2013 10:25:28 -0700
Message-ID: <87d2kk4zcn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


Running `vc-print-log` on a directory containing the Emacs trunk gives
the following error:

bzr: ERROR: Path unknown at end or start of revision range: aclocal.m4



In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2013-12-14 on marvin
Bzr revision: 115528 tzz@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Linux Mint 13 Maya




Acknowledgement sent to Christoph <cschol2112@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16254; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.